---
layout: docs
page_title: 'nomad var init command reference'
description: |
  The `nomad var init` command generates an example variable specification that you can customize for your Nomad variables.
---

# `nomad var init` command reference

The `var init` creates an example variable specification file that can be used
as a starting point to customize further.

## Usage

```plaintext
nomad var init <filename>
```

When no filename is supplied, a default filename of "spec.nv.hcl" or
"spec.nv.json" will be used depending on the output format.

## Init options

- `-out` `(enum: hcl | json)`: Format of generated variable
  specification. Defaults to `hcl`.

- `-quiet`: Do not print success message.

## Examples

Create an example variable specification:

```shell-session
$ nomad var init
Example variable specification written to spec.nv.hcl
```
